import {
  get,
  post,
  put,
  Delete,
  postForm,
  expoertExcel,
  getExcel,
  downloadExcel
} from "../request/http.js";
import { prototype } from "events";
const v1 = `/gastric-cancer${process.env.VUE_APP_MOD || ""}-user`;
const ewellDefectData = `/gastric-cancer${process.env.VUE_APP_MOD || ""}-data`;
const im = `/gastric-cancer${process.env.VUE_APP_MOD || ""}-im`;
export const API = {
  //登录
  login: (data) => {
    return post(`${v1}/user/login`, data);
  },
  getPeopleList: (data) => {
    return post(`${ewellDefectData}/report/hospital`, data);
  },
  getVideoList: (data) => {
    return get(
      `${ewellDefectData}/app/report/video/mine?pageNum=${data.pageNum}&pageSize=${data.pageSize}&dataId=${data.dataId}`,
      data
    );
  },
  fileUpload: (data) => {
    return post(`${ewellDefectData}/app/report/video/chunk`, data);
  },
  fileMerge: (data) => {
    return post(`${ewellDefectData}/app/report/video/merge`, data);
  }
};
